double slash still compressed in mn.create()

2011-01-04 21:48 - Rob Nahf

Status: Closed Start date: 2011-01-04

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.01   

Milestone:  Story Points:  

Product Version: *   

Description

compressed to single slash when in the middle, compressed to zero slashes when trailing-double-slash situation

21    unicode String:: path-unicode-ascii-escaped-double-//case

restURL: 

http://cn-dev.dataone.org/knb/d1/object/knb:testid:201141168278_path-unicode-ascii-escaped-double-%2F%2Fcase?sessionid=C5A

EDFF238368DA142A4DF8EAF0B7994

method: POST

tried to get content and failed.  Receiving an error stream instead.

error message: GUID in method call (knb:testid:201141168278_path-unicode-ascii-escaped-double-/case) does not match GUID in

system metadata (knb:testid:201141168278_path-unicode-ascii-escaped-double-//case).

22    unicode String:: path-unicode-ascii-escaped-double-trailing//

restURL: 

http://cn-dev.dataone.org/knb/d1/object/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing%2F%2F?sessionid=3

58030E7C6AC085C6F1C94A5121DA226

method: POST

tried to get content and failed.  Receiving an error stream instead.

error message: GUID in method call (knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing) does not match GUID

in system metadata (knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing//).

syslog

root@cn-dev:/var/log# tail -5000 syslog | grep 201141168278_path-unicode

Jan  4 11:06:21 cn-dev jsvc.exec[30663]: In D1URLFilter.#012request uri:

/knb/d1/object/knb:testid:201141168278_path-unicode-ascii-escaped-double-//case#012HTTP Verb: POST#012handling verb 2

request with resource 'object'#012sessionData: edu.ucsb.nceas.metacat.util.SessionData@5850abcc#012username:

uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org#012sessionid: C5AEDFF238368DA142A4DF8EAF0B7994#012setting sessionid

to C5AEDFF238368DA142A4DF8EAF0B7994#012username: uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org

Jan  4 11:06:21 cn-dev jsvc.exec[30663]: Using resource 'object'#012sessionData:

edu.ucsb.nceas.metacat.util.SessionData@5850abcc#012username:

uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org#012sessionid: C5AEDFF238368DA142A4DF8EAF0B7994#012setting sessionid

to C5AEDFF238368DA142A4DF8EAF0B7994#012username: uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org#012original

pathInfo: /knb:testid:201141168278_path-unicode-ascii-escaped-double-/case#012new pathinfo:

/knb:testid:201141168278_path-unicode-ascii-escaped-double-/case#012original pathInfo:

/knb:testid:201141168278_path-unicode-ascii-escaped-double-/case#012new pathinfo:

/knb:testid:201141168278_path-unicode-ascii-escaped-double-/case#012objectId in ReasourceHandler.handle:

knb:testid:201141168278_path-unicode-ascii-escaped-double-/case

Jan  4 11:06:21 cn-dev jsvc.exec[30663]: creating object with guid

knb:testid:201141168278_path-unicode-ascii-escaped-double-/case#012org.dataone.service.exceptions.InvalidSystemMetadata:

GUID in method call (knb:testid:201141168278_path-unicode-ascii-escaped-double-/case) does not match GUID in system metadata

(knb:testid:201141168278_path-unicode-ascii-escaped-double-//case).#012#011at

edu.ucsb.nceas.metacat.dataone.CrudService.create(CrudService.java:304)#012#011at

edu.ucsb.nceas.metacat.restservice.ResourceHandler.putObject(ResourceHandler.java:1585)#012#011at

edu.ucsb.nceas.metacat.restservice.ResourceHandler.handle(ResourceHandler.java:353)#012#011at

edu.ucsb.nceas.metacat.restservice.RestServlet.doPost(RestServlet.java:70)#012#011at

javax.servlet.http.HttpServlet.service(HttpServlet.java:637)#012#011at

javax.servlet.http.HttpServlet.service(HttpServlet.java:717)#012#011at sun.reflect.GeneratedMethodAccessor71.invoke(Unknown

Source)#012#011at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)#012#011at
http://cn-dev.dataone.org/knb/d1/object/knb:testid:201141168278_path-unicode-ascii-escaped-double-%2F%2Fcase?sessionid=C5AEDFF238368DA142A4DF8EAF0B7994
http://cn-dev.dataone.org/knb/d1/object/knb:testid:201141168278_path-unicode-ascii-escaped-double-%2F%2Fcase?sessionid=C5AEDFF238368DA142A4DF8EAF0B7994
http://cn-dev.dataone.org/knb/d1/object/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing%2F%2F?sessionid=358030E7C6AC085C6F1C94A5121DA226
http://cn-dev.dataone.org/knb/d1/object/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing%2F%2F?sessionid=358030E7C6AC085C6F1C94A5121DA226


java.lang.reflect.Method.invoke(Method.java:597)#012#011at org.apach

root@cn-dev:/var/log# tail -2500 syslog | grep 2011411621244_path-unicode

Jan  4 11:06:33 cn-dev jsvc.exec[30663]: Using resource 'object'#012sessionData:

edu.ucsb.nceas.metacat.util.SessionData@b0ae00b#012username:

uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org#012sessionid: 358030E7C6AC085C6F1C94A5121DA226#012setting sessionid

to 358030E7C6AC085C6F1C94A5121DA226#012username: uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org#012original

pathInfo: /knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing/#012new pathinfo:

/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing#012original pathInfo:

/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing/#012new pathinfo:

/knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing#012objectId in ReasourceHandler.handle:

knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing

Jan  4 11:06:33 cn-dev jsvc.exec[30663]: creating object with guid

knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing#012org.dataone.service.exceptions.InvalidSystemMetadata:

GUID in method call (knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing) does not match GUID in system

metadata (knb:testid:2011411621244_path-unicode-ascii-escaped-double-trailing//).#012#011at

edu.ucsb.nceas.metacat.dataone.CrudService.create(CrudService.java:304)#012#011at

edu.ucsb.nceas.metacat.restservice.ResourceHandler.putObject(ResourceHandler.java:1585)#012#011at

edu.ucsb.nceas.metacat.restservice.ResourceHandler.handle(ResourceHandler.java:353)#012#011at

edu.ucsb.nceas.metacat.restservice.RestServlet.doPost(RestServlet.java:70)#012#011at

javax.servlet.http.HttpServlet.service(HttpServlet.java:637)#012#011at

javax.servlet.http.HttpServlet.service(HttpServlet.java:717)#012#011at sun.reflect.GeneratedMethodAccessor71.invoke(Unknown

Source)#012#011at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)#012#011at

java.lang.reflect.Method.invoke(Method.java:597)

Subtasks:

Task # 1187: change D1HttpRequest.getPathInfo method in metacat restservice Closed

History

#1 - 2011-01-04 21:55 - Rob Nahf

- Category set to Metacat

- Assignee set to Chad Berkley

- Priority changed from Normal to Urgent

#2 - 2011-01-06 21:30 - Chad Berkley

- Status changed from New to Closed
